Skip to main content
GET
/
api
/
v1
/
sonar
/
phishing-reports
List phishing reports
curl --request GET \
  --url https://api.ocean.security/api/v1/sonar/phishing-reports \
  --header 'X-Api-Key: <api-key>'
{
  "pagination": {
    "page": 123,
    "page_size": 123,
    "total": 123
  },
  "results": {
    "items": [
      {
        "id": "<string>",
        "reasoning": "<string>",
        "report_date": "<string>",
        "reporter": "<string>",
        "sender": "<string>",
        "subject": "<string>"
      }
    ]
  },
  "status": 123
}

Authorizations

X-Api-Key
string
header
required

API key for authentication

Headers

X-Api-Key
string
required

Authentication API Key

Query Parameters

minutes_ago
integer

Number of minutes to look back (default 30 * 24 * 60 = 30 days)

page
integer

Page number for pagination (default 1)

Response

OK

pagination
object

Pagination information

results
object

The actual data

status
integer

HTTP status code